@echo off
echo 本程序用于Win8/10安装KB4577586（Flash永久删除补丁）后
echo 恢复系统自带的Flash，以便访问某些需要IE又需要Flash的老网站。
echo 本程序请以管理员身份运行！
echo.
echo 恢复的版本是32.0.0.330，这是微软补丁中最后一个不会在2021年过期的版本。
echo.
echo 警告：本程序务必安装KB4577586后再使用，以免引起不可预知的问题！！
echo 警告：Win7/Vista等旧版本系统请勿使用本程序，可直接安装Flash独立版！！
echo.
echo 如果你想恢复Flash，请按任意键开始
echo.
pause > nul

cd /d %~dp0
if exist %SystemRoot%\SysWOW64\ntdll.dll (goto x64) else (goto x86)

:x86
copy /y flash32.ocx %SystemRoot%\System32\flash.ocx
regsvr32 /s %SystemRoot%\System32\flash.ocx
goto done

:x64
copy /y flash64.ocx %SystemRoot%\System32\flash.ocx
copy /y flash32.ocx %SystemRoot%\SysWOW64\flash.ocx
regsvr32 /s %SystemRoot%\System32\flash.ocx
regsvr32 /s %SystemRoot%\SysWOW64\flash.ocx
goto done

:done
echo.
echo 恢复完成，请用IE访问需要Flash的网站（如QQ空间游戏）查看效果
echo 按任意键退出
pause > nul
exit

